Name:       nagios-check_syncrepl
Version:    20080409
Release:    %mkrel 17
Summary:    Check the open ldap syncrepl
Group:      Networking/Other
License:    BSD
URL:        https://exchange.nagios.org/directory/Plugins/Network-Protocols/LDAP/Openldap-Syncrepl/details
Source0:    check_syncrepl.py
Patch0:     check_syncrepl.py-allow-openldap2.4-CSN-format.patch
Patch1:     check_syncrepl.py-fix-exit-status.patch
Patch2:     check_syncrepl.py-allow-ignore-higher-CSN.patch
Patch3:     check_syncrepl.py-mga-python3.patch
Requires:   python3-ldap
BuildArch:  noarch

%description
Check the open ldap replication via SYNCREPL and python. 

%prep
%setup -c -T
cp %{SOURCE0} .
%autopatch -p0

%build


%install
install -d -m 755 %{buildroot}%{_datadir}/nagios/plugins
install -m 755 check_syncrepl.py %{buildroot}%{_datadir}/nagios/plugins

install -d -m 755 %{buildroot}%{_sysconfdir}/nagios/plugins.d
cat > %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_syncrepl.cfg <<'EOF'
define command{
    command_name    check_syncrepl
    command_line    %{_datadir}/nagios/plugins/check_syncrepl.py -q -n $ARG1$ $ARG2$ -b $ARG3$
}
EOF

%files
%{_datadir}/nagios/plugins/check_syncrepl.py*
%{_datadir}/nagios/plugins/__pycache__
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_syncrepl.cfg


%changelog
* Tue Mar 31 2020 danf <danf> 20080409-17.mga8
+ Revision: 1562808
- Port to Python 3
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 20080409-16.mga7
+ Revision: 1264646
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 20080409-15.mga6
+ Revision: 935933
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 20080409-14.mga5
+ Revision: 741990
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20080409-13.mga5
+ Revision: 682781
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 20080409-12.mga4
+ Revision: 545939
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 20080409-11.mga4
+ Revision: 502008
- update URL
- escape percent sign in URL

* Thu Jan 17 2013 umeabot <umeabot> 20080409-9.mga3
+ Revision: 389214
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 03 2011 ennael <ennael> 20080409-8.mga1
+ Revision: 62977
- imported package nagios-check_syncrepl

